package com.njcn.prepare.harmonic.service.mysql.newalgorithm;

import com.njcn.device.biz.pojo.dto.DeptGetChildrenMoreDTO;
import com.njcn.prepare.harmonic.pojo.bo.CalculatedParam;

import java.util.List;

/**
 * @author zbj
 * @since 2023-06-14
 */

public interface RStatEventOrgService {


    void handleDay(CalculatedParam<DeptGetChildrenMoreDTO> calculatedParam);

    void handleMonth(CalculatedParam<DeptGetChildrenMoreDTO> calculatedParam);

    void handleQtr(CalculatedParam<DeptGetChildrenMoreDTO> calculatedParam);

    void handleYear(CalculatedParam<DeptGetChildrenMoreDTO> calculatedParam);
}
